> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /goonet/listings

> Get full Goo-net used-car listing details by listing URL: title, brand, grade, body type, body and total price, monthly payment, year, mileage, inspection, repair history, transmission, drive, drive layout, fuel, fuel grade, displacement, doors, seats, color, steering side, power, weight, dimensions, fuel economy, the equipment list, the Goo-kantei condition rating (interior/exterior/engine), warranty, dealer (name/address/phone) and photos.

**Price:** 20 credits

**💡 AI Hint:** Fetch a single Goo-net used-car listing by its full listing URL (e.g. 'https://www.goo-net.com/usedcar/spread/goo/{n}/{car_code}.html'). Returns title, brand, grade, price and total_price (JPY), monthly_payment, body_type, year, mileage (km), inspection, has_repair_history, is_one_owner, is_non_smoking, is_unused, is_eco_car, transmission, drive, drive_layout (FF/FR/…), fuel, fuel_grade, displacement (cc), doors, seats, color, wheel (left/right), max_power, weight, dimensions, fuel_economy, turbocharger, import_route, equipment (list of fitted features), interior_rating/exterior_rating/engine_status (Goo-kantei condition eval), warranty, dealer (name/address/phone) and images.

**⚠️ Common errors:** 412: Listing not found (well-formed URL but the listing does not exist or was removed)



## OpenAPI

````yaml /openapi-filtered.json post /api/goonet/listings
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/goonet/listings:
    post:
      tags:
        - /goonet
      summary: /goonet/listings
      description: >-
        Get full Goo-net used-car listing details by listing URL: title, brand,
        grade, body type, body and total price, monthly payment, year, mileage,
        inspection, repair history, transmission, drive, drive layout, fuel,
        fuel grade, displacement, doors, seats, color, steering side, power,
        weight, dimensions, fuel economy, the equipment list, the Goo-kantei
        condition rating (interior/exterior/engine), warranty, dealer
        (name/address/phone) and photos.


        **Price:** 20 credits


        **💡 AI Hint:** Fetch a single Goo-net used-car listing by its full
        listing URL (e.g.
        'https://www.goo-net.com/usedcar/spread/goo/{n}/{car_code}.html').
        Returns title, brand, grade, price and total_price (JPY),
        monthly_payment, body_type, year, mileage (km), inspection,
        has_repair_history, is_one_owner, is_non_smoking, is_unused, is_eco_car,
        transmission, drive, drive_layout (FF/FR/…), fuel, fuel_grade,
        displacement (cc), doors, seats, color, wheel (left/right), max_power,
        weight, dimensions, fuel_economy, turbocharger, import_route, equipment
        (list of fitted features), interior_rating/exterior_rating/engine_status
        (Goo-kantei condition eval), warranty, dealer (name/address/phone) and
        images.


        **⚠️ Common errors:** 412: Listing not found (well-formed URL but the
        listing does not exist or was removed)
      operationId: __api_goonet_listings_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GoonetListingsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GoonetListing'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GoonetListingsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          description: Max scrapping execution timeout (in seconds)
          default: 300
        listing:
          type: string
          minLength: 1
          description: Listing as a full Goo-net listing URL
          examples:
            - >-
              https://www.goo-net.com/usedcar/spread/goo/17/700100218030260415003.html
      type: object
      required:
        - listing
    GoonetListing:
      properties:
        '@type':
          type: string
          default: GoonetListing
        id:
          type: string
        url:
          type: string
        brand:
          anyOf:
            - type: string
            - type: 'null'
        model:
          anyOf:
            - type: string
            - type: 'null'
        grade:
          anyOf:
            - type: string
            - type: 'null'
        body_type:
          anyOf:
            - type: string
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
        total_price:
          anyOf:
            - type: number
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        year:
          anyOf:
            - type: integer
            - type: 'null'
        mileage:
          anyOf:
            - type: integer
            - type: 'null'
        inspection:
          anyOf:
            - type: string
            - type: 'null'
        has_repair_history:
          anyOf:
            - type: boolean
            - type: 'null'
        is_one_owner:
          anyOf:
            - type: boolean
            - type: 'null'
        is_non_smoking:
          anyOf:
            - type: boolean
            - type: 'null'
        is_unused:
          anyOf:
            - type: boolean
            - type: 'null'
        has_maintenance_record:
          anyOf:
            - type: boolean
            - type: 'null'
        transmission:
          anyOf:
            - type: string
            - type: 'null'
        drive:
          anyOf:
            - type: string
            - type: 'null'
        drive_layout:
          anyOf:
            - type: string
            - type: 'null'
        fuel:
          anyOf:
            - type: string
            - type: 'null'
        fuel_grade:
          anyOf:
            - type: string
            - type: 'null'
        displacement:
          anyOf:
            - type: integer
            - type: 'null'
        doors:
          anyOf:
            - type: string
            - type: 'null'
        seats:
          anyOf:
            - type: integer
            - type: 'null'
        color:
          anyOf:
            - type: string
            - type: 'null'
        wheel:
          anyOf:
            - type: string
            - type: 'null'
        prefecture_code:
          anyOf:
            - type: string
            - type: 'null'
        city_code:
          anyOf:
            - type: string
            - type: 'null'
        max_power:
          anyOf:
            - type: string
            - type: 'null'
        weight:
          anyOf:
            - type: string
            - type: 'null'
        dimensions:
          anyOf:
            - type: string
            - type: 'null'
        fuel_economy:
          anyOf:
            - type: string
            - type: 'null'
        turbocharger:
          anyOf:
            - type: string
            - type: 'null'
        cargo_bed_dimensions:
          anyOf:
            - type: string
            - type: 'null'
        import_route:
          anyOf:
            - type: string
            - type: 'null'
        is_import_certified:
          anyOf:
            - type: boolean
            - type: 'null'
        is_eco_car:
          anyOf:
            - type: boolean
            - type: 'null'
        monthly_payment:
          anyOf:
            - type: number
            - type: 'null'
        interior_rating:
          anyOf:
            - type: integer
            - type: 'null'
        exterior_rating:
          anyOf:
            - type: integer
            - type: 'null'
        engine_status:
          anyOf:
            - type: string
            - type: 'null'
        warranty:
          anyOf:
            - type: string
            - type: 'null'
        legal_maintenance:
          anyOf:
            - type: string
            - type: 'null'
        chassis_last_digits:
          anyOf:
            - type: string
            - type: 'null'
        equipment:
          items:
            type: string
          type: array
          default: []
        description:
          anyOf:
            - type: string
            - type: 'null'
        dealer:
          anyOf:
            - $ref: '#/components/schemas/GoonetListingDealer'
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        images:
          items:
            type: string
          type: array
          default: []
      type: object
      required:
        - id
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    GoonetListingDealer:
      properties:
        '@type':
          type: string
          default: GoonetListingDealer
        id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        address:
          anyOf:
            - type: string
            - type: 'null'
        phone:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````